#version 450

in vec3 dir;

out vec4 color;
out vec3 normals;

uniform vec3 zenith;
uniform vec3 horizon;
uniform vec3 nadir;

void main() {
	float height = normalize(dir).y;
	color = vec4(mix(mix(horizon, zenith, max(height, 0.)), nadir, abs(min(height, 0.))), 1.);
	normals = vec3(0.);
}